Package org.apache.ignite.internal.cache.query.index.sorted

## Class IndexKeyTypeSettings

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.IndexKeyTypeSettings

All Implemented Interfaces:
  `Externalizable`, `Serializable`

    public class IndexKeyTypeSettings
    extends Object
    implements Externalizable

List of settings that affects key types of index keys.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`IndexKeyTypeSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `binaryUnsigned()`
`IndexKeyTypeSettings` `binaryUnsigned​(boolean binaryUnsigned)`
`boolean` `inlineObjHash()`
`IndexKeyTypeSettings` `inlineObjHash​(boolean inlineObjHash)`
`boolean` `inlineObjSupported()`
`IndexKeyTypeSettings` `inlineObjSupported​(boolean inlineObjSupported)`
`void` `readExternal​(ObjectInput in)`
`boolean` `stringOptimizedCompare()`
`IndexKeyTypeSettings` `stringOptimizedCompare​(boolean strOptimizedCompare)`
`void` `writeExternal​(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexKeyTypeSettings

    public IndexKeyTypeSettings()

### Method Detail

#### inlineObjHash

    public boolean inlineObjHash()

#### inlineObjHash

    public IndexKeyTypeSettings inlineObjHash​(boolean inlineObjHash)

#### inlineObjSupported

    public boolean inlineObjSupported()

#### inlineObjSupported

    public IndexKeyTypeSettings inlineObjSupported​(boolean inlineObjSupported)

#### stringOptimizedCompare

    public boolean stringOptimizedCompare()

#### stringOptimizedCompare

    public IndexKeyTypeSettings stringOptimizedCompare​(boolean strOptimizedCompare)

#### binaryUnsigned

    public boolean binaryUnsigned()

#### binaryUnsigned

    public IndexKeyTypeSettings binaryUnsigned​(boolean binaryUnsigned)

#### writeExternal

    public void writeExternal​(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal​(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`